@base <https://purl.org/coscine/ap/qudt/quantitykind/PolarizationField/> .

@prefix dcterms: <http://purl.org/dc/terms/>.
@prefix rdfs: <http://www.w3.org/2000/01/rdf-schema#> .
@prefix sh: <http://www.w3.org/ns/shacl#> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .
@prefix qudt: <http://qudt.org/schema/qudt/> .
@prefix unit: <http://qudt.org/vocab/unit/> .
@prefix coscinetype: <https://purl.org/coscine/terms/types#> .

<https://purl.org/coscine/ap/qudt/quantitykind/PolarizationField/>
  a sh:NodeShape, rdfs:Class, coscinetype:Module ;
  dcterms:created "2023-10-12"^^xsd:date;
  dcterms:modified "2023-10-19"^^xsd:date;
  dcterms:creator "Benedikt Heinrichs";
  dcterms:description "Profil für alle Einheiten, die eine Polarization Field sind."@de,
    "Profile for all units that are a/an Polarization Field."@en;
  dcterms:license "https://spdx.org/licenses/CC-BY-4.0.html";
  dcterms:title "Einheit: Polarization Field"@de,
    "Unit: Polarization Field"@en;

  sh:property
    [
      sh:path qudt:unit ;
      sh:minCount 1 ;
      sh:maxCount 1 ;
      sh:name "Unit"@en , "Einheit"@de ;
      sh:in ( unit:C-PER-CentiM2 unit:C-PER-M2 unit:C-PER-MilliM2 unit:C_Ab-PER-CentiM2 unit:C_Stat-PER-CentiM2 unit:KiloC-PER-M2 unit:MegaC-PER-M2 unit:MicroC-PER-M2 unit:MilliC-PER-M2 ) ;
    ] ;
  sh:property
    [
      sh:path qudt:value ;
      sh:minCount 1 ;
      sh:maxCount 1 ;
      sh:datatype xsd:decimal ;
      sh:name "Value"@en , "Wert"@de ;
      sh:description "Entry must be an integer or a decimal with a point separator (e.g., 2.5)."@en, "Die Eingabe muss eine ganze Zahl oder eine Dezimalzahl mit einem Punkttrennzeichen sein (z. B. 2.5)."@de ;
      sh:message "Entry must be an integer or a decimal with a point separator (e.g., 2.5)."@en, "Die Eingabe muss eine ganze Zahl oder eine Dezimalzahl mit einem Punkttrennzeichen sein (z. B. 2.5)."@de ;
    ] ;
.

unit:C-PER-CentiM2 rdfs:label "Coulomb Per Square Centimeter"@en-us, "Coulomb Per Square Centimetre"@en .
unit:C-PER-M2 rdfs:label "Coulomb Je Quadratmeter"@de, "Coulomb Per Square Meter"@en-us, "Coulomb Al Metro Quadrato"@it, "Coulomb Bölü Metre Kare"@tr, "Coulomb Na Metr Čtvereční"@cs, "Coulomb Par Mètre Carré"@fr, "Coulomb Pe Metru Pătrat"@ro, "Coulomb Per Meter Persegi"@ms, "Coulomb Per Square Metre"@en, "Coulomb Por Metro Quadrado"@pt, "Culombio Por Metro Cuadrado"@es, "Kulomb Na Metr Kwadratowy"@pl, "Кулон На Квадратный Метр"@ru, "كولوم في المتر المربع"@ar, "کولمب/کولن بر مترمربع"@fa, "कूलम्ब प्रति वर्ग मीटर"@hi, "クーロン毎平方メートル"@ja, "库伦每平方米"@zh .
unit:C-PER-MilliM2 rdfs:label "Coulomb Per Square Millimeter"@en-us, "Coulomb Per Square Millimetre"@en .
unit:C_Ab-PER-CentiM2 rdfs:label "Abcoulomb Per Square Centimeter"@en-us, "Abcoulomb Per Square Centimetre"@en .
unit:C_Stat-PER-CentiM2 rdfs:label "Statcoulomb Per Square Centimeter"@en-us, "Statcoulomb Per Square Centimetre"@en .
unit:KiloC-PER-M2 rdfs:label "Kilocoulomb Per Square Meter"@en-us, "Kilocoulomb Per Square Metre"@en .
unit:MegaC-PER-M2 rdfs:label "Megacoulomb Per Square Meter"@en-us, "Megacoulomb Per Square Metre"@en .
unit:MicroC-PER-M2 rdfs:label "Microcoulomb Per Square Meter"@en-us, "Microcoulomb Per Square Metre"@en .
unit:MilliC-PER-M2 rdfs:label "Millicoulomb Per Square Meter"@en-us, "Millicoulomb Per Square Metre"@en .
